# Uses of Class
org.eclipse.swt.events.TreeEvent

Packages that use TreeEvent
Package
Description
org.eclipse.swt.events

## Uses of TreeEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type TreeEvent
Modifier and Type
Method
Description
`void`
TreeAdapter.`treeCollapsed(TreeEvent e)`
Sent when a tree branch is collapsed.
`void`
TreeListener.`treeCollapsed(TreeEvent e)`
Sent when a tree branch is collapsed.
`void`
TreeAdapter.`treeExpanded(TreeEvent e)`
Sent when a tree branch is expanded.
`void`
TreeListener.`treeExpanded(TreeEvent e)`
Sent when a tree branch is expanded.
Method parameters in org.eclipse.swt.events with type arguments of type TreeEvent
Modifier and Type
Method
Description
`static TreeListener`
TreeListener.`treeCollapsedAdapter(Consumer<TreeEvent> c)`
Static helper method to create a `TreeListener` for the `TreeListener.treeCollapsed(TreeEvent e)`) method, given a lambda expression or a method reference.
`static TreeListener`
TreeListener.`treeExpandedAdapter(Consumer<TreeEvent> c)`
Static helper method to create a `TreeListener` for the `TreeListener.treeExpanded(TreeEvent e)`) method, given a lambda expression or a method reference.